package br.usp.ime.pictware.web.action.manterassinante;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.assinante.service.ManterAssinanteService;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class LoginAction implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		String login = request.getParameter("login");
		String senha = request.getParameter("senha");
		
		ManterAssinanteService manterAssinanteService = ManterAssinanteService.getInstance();
		Assinante assinante = manterAssinanteService.buscarAssinante(login, senha);
				
		if (assinante != null){
			request.getSession().setAttribute("uid", assinante.getId());
			
			//FIXME: TO BE REMOVED (trabalharemos apenas com o id do usurio na session)
			request.getSession().setAttribute("assinante", assinante);
			return actionMapping.findForward("autenticado");
		}
		else{
			request.getSession().invalidate();
			request.setAttribute("erroSenha", "E-mail ou senha incorretos. Confira seu e-mail e senha e tente novamente.");
			return actionMapping.findForward("nao-autenticado");
		}
		
	}

}
